# List all industry subcategories

GET https://api.letsdeel.com/rest/v2/industries

List industry subcategories with their parent category details, supporting cursor-based pagination and sorting by category or subcategory name. Each subcategory is identified by a UUID and includes NAICS codes. Used during entity setup to select an industry classification.
 **Token scopes**: `legal-entity:read`

Reference: https://developer.deel.com/api/endpoints/legal-entities/get-industries

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /industries:
    get:
      operationId: get-industries
      summary: List all industry subcategories
      description: >-
        List industry subcategories with their parent category details,
        supporting cursor-based pagination and sorting by category or
        subcategory name. Each subcategory is identified by a UUID and includes
        NAICS codes. Used during entity setup to select an industry
        classification.
         **Token scopes**: `legal-entity:read`
      tags:
        - subpackage_legalEntities
      parameters:
        - name: limit
          in: query
          description: Maximum number of items to return per page.
          required: false
          schema:
            type: integer
        - name: order
          in: query
          description: Sorting order of the results.
          required: false
          schema:
            $ref: '#/components/schemas/IndustriesGetParametersOrder'
        - name: sort_by
          in: query
          description: Field used to sort the results.
          required: false
          schema:
            $ref: '#/components/schemas/IndustriesGetParametersSortBy'
        - name: cursor
          in: query
          description: Cursor used for paginating to the next page of results.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of industry subcategories.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/legal-entities_getIndustries_Response_200'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListAllIndustrySubcategories-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    IndustriesGetParametersOrder:
      type: string
      enum:
        - ASC
        - DESC
      default: ASC
      title: IndustriesGetParametersOrder
    IndustriesGetParametersSortBy:
      type: string
      enum:
        - subcategoryName
        - categoryName
      default: categoryName
      title: IndustriesGetParametersSortBy
    IndustriesGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: UUID of the subcategory.
        name:
          type: string
          description: Name of the industry subcategory.
        created_at:
          type: string
          format: date-time
          description: Date and time when the subcategory was created.
        updated_at:
          type: string
          format: date-time
          description: Date and time when the subcategory was last updated.
        category_name:
          type:
            - string
            - 'null'
          description: Name of the associated industry category.
      required:
        - id
        - name
        - created_at
        - updated_at
        - category_name
      title: IndustriesGetResponsesContentApplicationJsonSchemaDataItems
    legal-entities_getIndustries_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/IndustriesGetResponsesContentApplicationJsonSchemaDataItems
          description: List of industry subcategories.
        has_more:
          type: boolean
          description: Indicates if there are more results available.
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor to fetch the next page of results.
        total_count:
          type: integer
          description: Total number of results matching the query.
      required:
        - data
        - has_more
        - next_cursor
        - total_count
      title: legal-entities_getIndustries_Response_200
    IndustriesGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        path:
          type: string
          description: The JSON path where input validation failed
        message:
          type: string
          description: A description of the returned error
      title: IndustriesGetResponsesContentApplicationJsonSchemaErrorsItems
    IndustriesGetResponsesContentApplicationJsonSchemaRequest:
      type: object
      properties:
        url:
          type: string
          description: The relative URL of the failed request
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        method:
          type: string
          description: The HTTP method of the failed request
        source:
          type: string
          description: The source handler which produced the returned error
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
      title: IndustriesGetResponsesContentApplicationJsonSchemaRequest
    ListAllIndustrySubcategories-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/IndustriesGetResponsesContentApplicationJsonSchemaErrorsItems
        request:
          $ref: >-
            #/components/schemas/IndustriesGetResponsesContentApplicationJsonSchemaRequest
      title: ListAllIndustrySubcategories-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/industries"

querystring = {"limit":"10","order":"ASC","sort_by":"categoryName","cursor":"eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0="}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/industries?limit=10&order=ASC&sort_by=categoryName&cursor=eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0%3D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/industries?limit=10&order=ASC&sort_by=categoryName&cursor=eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0%3D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/industries?limit=10&order=ASC&sort_by=categoryName&cursor=eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0%3D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/industries?limit=10&order=ASC&sort_by=categoryName&cursor=eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0%3D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/industries?limit=10&order=ASC&sort_by=categoryName&cursor=eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0%3D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/industries?limit=10&order=ASC&sort_by=categoryName&cursor=eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0%3D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/industries?limit=10&order=ASC&sort_by=categoryName&cursor=eyJpZCI6IjEyMyIsInN1YmNhdGVnb3J5TmFtZSI6IlNvZnR3YXJlIn0%3D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```